# $Revision: 1.48 $, $Date: 2010/06/15 09:08:45 $
%define		ver	%(echo %{version} | tr . _)
Summary:	C++ xslt library
Summary(pl.UTF-8):	Biblioteka xslt dla C++
Name:		xalan-c
Version:	1.10.0
Release:	7
License:	Apache v2.0
Group:		Applications/Publishing/XML
Source0:	http://www.apache.org/dist/xml/xalan-c/Xalan-C_%{ver}-src.tar.gz
# Source0-md5:	0a3fbb535885531cc544b07a2060bfb1
Patch0:		%{name}-getopt.patch
Patch1:		%{name}-soname.patch
Patch2:		%{name}-include.patch
Patch3:		icu-4.2.patch
URL:		http://xml.apache.org/xalan-c/
BuildRequires:	icu
BuildRequires:	libicu-devel >= 4.2
BuildRequires:	util-linux
BuildRequires:	xerces-c-devel >= 2.7.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Apache Xalan Project is a collaborative software development project
dedicated to providing robust, full-featured, commercial-quality, and
freely available XSLT support on a wide variety of platforms.

This package contains C++ implementation of Xalan.

%description -l pl.UTF-8
Projekt Apache Xalan to wspólny projekt stworzenia oprogramowania
mającego zapewnic potężną, w pełni funkcjonalną, mającą komercyjną
jakość i jednocześnie wolnodostępną obsługę XSLT na szerokim zakresie
platform.

Ten pakiet zawiera bibliotekę Xalan dla języka C++.

%package devel
Summary:	xalan-c header files
Summary(pl.UTF-8):	Pliki nagłówkowe xalan-c
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
xalan-c header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe xalan-c.

%package docs
Summary:	Documentation for xalan-c
Summary(pl.UTF-8):	Dokumentacja xlan-c
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description docs
Documentation for xalan-c.

%description docs -l pl.UTF-8
Dokumentacja xalan-c.

%package examples
Summary:	xalan-c examples
Summary(pl.UTF-8):	Przykłady dla xalan-c
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description examples
xalan-c examples.

%description devel -l pl.UTF-8
Przykłady dla xalan-c.

%prep
%setup -qc
mv xml-xalan/c/* .
%patch0 -p2
%patch1 -p2
%patch2 -p2
%patch3 -p1

%if "%{_lib}" != "lib"
sed -i -e 's#/lib/icu/pkgdata.inc#/%{_lib}/icu/pkgdata.inc#' \
	src/xalanc/Utils/Makefile.in
%endif

find xdocs samples -name CVS | xargs rm -rf

%build
# create env.sh for easier debug from console
cat << EOF > env.sh
export XALANCROOT=$(pwd)
export XERCESROOT=%{_prefix}
export ICUROOT=%{_prefix}
EOF

. ./env.sh

./runConfigure \
	-P %{_prefix} \
	-p linux \
	-c "%{__cc}" \
	-x "%{__cxx}" \
%ifarch %{x8664} alpha ppc64 s390x sparc64
	-b 64 \
%else
	-b 32 \
%endif
	-t icu \
	-m icu

# force 1 jobserver: tries to link testXSLT before libxalan-c.so symlink is created.
# having XALAN_USE_ICU set on install will copy libicu libs to xalan install
# root, so set it on build only.
%{__make} -j1 \
	XALAN_USE_ICU=true

%install
rm -rf $RPM_BUILD_ROOT
. ./env.sh

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}
install -d $RPM_BUILD_ROOT%{_includedir}
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-docs-%{version}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

cp -a samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a xdocs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-docs-%{version}

%if "%{_lib}" != "lib"
mv $RPM_BUILD_ROOT%{_prefix}/lib/* $RPM_BUILD_ROOT%{_libdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc commits.xml KEYS NOTICE
%attr(755,root,root) %{_bindir}/Xalan
%attr(755,root,root) %{_libdir}/libxalan-c.so.*.*
%attr(755,root,root) %{_libdir}/libxalanMsg.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxalan-c.so.110
%attr(755,root,root) %ghost %{_libdir}/libxalanMsg.so.110

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxalan-c.so
%attr(755,root,root) %{_libdir}/libxalanMsg.so
%{_includedir}/xalanc

%files docs
%defattr(644,root,root,755)
%{_docdir}/%{name}-docs-%{version}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xalan-c.spec,v $
Revision 1.48  2010/06/15 09:08:45  hawk
- release 7

Revision 1.47  2009/09/22 22:41:29  glen
- fix build with icu 4.2; rel 6

Revision 1.46  2008/09/29 19:23:57  qboosh
- no extra nl

Revision 1.45  2008/09/28 17:03:48  pawelz
- better Group for -doc and -examples
- one less subdir in -doc and -examples

Revision 1.44  2008/09/28 15:01:12  pawelz
- fixed %doc
- adapterized
- rel 5

Revision 1.43  2008/09/28 14:49:48  pawelz
- unified %files
- added %doc
- fixed desc: It is an xslt processor, not an xml parser.

Revision 1.42  2008/09/28 14:32:24  pawelz
- do not use %doc to package apidocs
- removed CVS dirs from samples and xdocs trees

Revision 1.41  2008/09/28 14:14:43  pawelz
- split examples into subpackage

Revision 1.40  2008/07/14 18:08:59  qrczak
- xalan-c-include.patch: added missing #include <cstring>
- Release 4

Revision 1.39  2008/02/09 21:00:47  qboosh
- unified License format

Revision 1.38  2008-01-22 21:20:10  hawk
- release 3

Revision 1.37  2007-12-26 17:33:46  adamg
- release 2; rebuild against libicu-3.8-1

Revision 1.36  2007/10/09 19:27:13  qboosh
- killed x86-centrism

Revision 1.35  2007/10/08 13:19:44  kosmo
- fixed build on x86_64

Revision 1.34  2007/09/22 14:30:41  aflinta
- rel 1

Revision 1.33  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.31  2007/01/22 14:55:01  qboosh
- added soname patch, reverted libxalanMsg hacks in spec

Revision 1.30  2007/01/17 12:16:39  glen
- hack for libxalanMsg.so soname

Revision 1.29  2007/01/17 12:12:04  glen
- no cvs dirs to %doc

Revision 1.28  2007/01/17 12:08:12  glen
- make -j1

Revision 1.27  2007/01/17 12:02:39  hawk
- make it build, cleanup, rel 0.2

Revision 1.26  2007/01/17 09:30:32  hawk
- %install requires XALANCROOT too
- removed bogus "exit 1" call

Revision 1.25  2007/01/16 18:26:19  hawk
- fixed typo in previous commit log

Revision 1.24  2007/01/16 12:33:39  hawk
- BR: icu (complains about /usr/bin/genrb)

Revision 1.23  2007/01/16 08:46:26  qboosh
- BR: xerces-c-devel I suppose

Revision 1.22  2007/01/16 08:45:57  qboosh
- updated pl desc

Revision 1.21  2007/01/16 08:00:25  glen
- almost compiles

Revision 1.20  2007/01/16 00:54:44  glen
- start with 1.10.0 sources
- license and url updated

Revision 1.19  2007/01/16 00:12:42  glen
- try something, still total failure

Revision 1.18  2007/01/15 22:34:40  glen
- icu not used

Revision 1.17  2006/11/09 21:13:36  glen
- strict internal deps

Revision 1.16  2004/10/31 13:31:28  paladine
- spaces->tabs

Revision 1.15  2004/02/24 01:11:56  ankry
- pl fixes, cosmetics

Revision 1.14  2003/08/26 23:19:18  gotar
- no // in paths, sort, white space cleaning

Revision 1.13  2003/07/11 12:28:24  ankry
- URL fixes and other cosmetics

Revision 1.12  2003/05/28 13:03:01  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:28:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/02/28 10:09:03  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.9  2002/02/23 05:10:59  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:30:01  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/18 18:31:33  gotar
- %desc

Revision 1.6  2002/01/30 18:38:16  alchemyx
- ugly words back again. sorry.

Revision 1.5  2002/01/29 02:55:46  alchemyx
- ugly words replaced with "?" ;-)

Revision 1.4  2002/01/18 02:15:27  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/11/02 12:05:22  mkochano
- Updated to 1.2.
- Note: I'm not sure if this package works...

Revision 1.2  2001/10/11 14:36:49  qboosh
- adapterized, BuildRequires: autoconf

Revision 1.1  2000/09/30 17:04:03  klakier
- Not finished, maybe someone want to continue.
  I feel sick looking at such messy build process...
